Bug 836259 - grub2 menuentry in submenu are not protected by superusers password
grub2 menuentry in submenu are not protected by superusers password
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-28 09:52 EDT by derrien
Modified: 2014-04-11 12:31 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:48:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/boot/grub2/grub.cfg (4.42 KB, text/plain)
2012-06-28 11:37 EDT, derrien
no flags Details

  None (edit)
Description derrien 2012-06-28 09:52:22 EDT
Description of problem:
We have supersuser with password in our /boot/grub2/grub.cfg

To edit the line 'Fedora Linux' and 'Advanced options for Fedora Linux' username and password are asked
BUT if you select 'Advanced options for Fedora Linux' then you can edit 'Fedora Linux, with Linux 3.4.3-1.fc17.x86_64' WITHOUT username and password... Not very secure.


Version-Release number of selected component (if applicable):
grub2-2.0-0.25.beta4.fc17.x86_6

How reproducible:


Steps to Reproduce:
1. Create /etc/grub.d/01_users with set superusers=XXX password_pbkdf2 XXX
2. grub2-mkconfig -o /boot/grub2/grub.cfg
3.
  
Actual results:
menuentry in submenu not protected by superusers password

Expected results:
username and password asked for all the menuentry

Additional info:
Comment 1 Mads Kiilerich 2012-06-28 11:18:17 EDT
Please attach your grub.cfg - possibly after masking your password hash.
Comment 2 derrien 2012-06-28 11:37:48 EDT
Created attachment 595055 [details]
/boot/grub2/grub.cfg
Comment 3 Vladimir Serbinenko 2012-06-28 11:43:29 EDT
For some reason 01_users doesn't contain "export superusers"
Comment 4 derrien 2012-06-28 11:59:22 EDT
I added  "export superusers" in my /etc/grub.d/01_users and it works.
Thanks.

(But is this change documented somewhere ?)
Comment 5 Peter Jones 2012-08-08 14:30:08 EDT
This is already fixed in the current anaconda tree.
Comment 6 Adam Williamson 2013-05-12 13:07:50 EDT
Peter: should we close this at this point? Or is there anything else to wait for here?
Comment 7 Fedora End Of Life 2013-07-04 03:04:29 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 14:48:25 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.